/*
/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
21/03/2016

IR distance sensor -connected to A3 - look at worksheet "I-AN DIST. DIY"
the IR send led is connected bewteen 0V and 5V
The result is displayed on the LCD

Connect this LCD as follows:
LCD             Brainbox Arduino
GND             GND
VCC             +5V
SDA             SDA/2
SCL             SCL/3
!! Pull up resistors are required - place 4K7 between SDA and 5V and 4K7 between SCL and 5V
*/

#include <Wire.h>  // Comes with Arduino IDE

// Get the LCD I2C Library here: 
// https://bitbucket.org/fmalpartida/new-liquidcrystal/downloads
// Move any other LCD libraries to another folder or delete them
// See Library "Docs" folder for possible commands etc.
#include <LiquidCrystal_I2C.h>

const int analogInPin = A3;  // Analog input pin that the potentiometer is attached to
int sensorValue = 0;  
int outputValue = 0;  

// set the LCD address to 0x27 for a 20 chars 4 line display
// Set the pins on the I2C chip used for LCD connections:
//                    addr, en,rw,rs,d4,d5,d6,d7,bl,blpol
LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  // Set the LCD I2C address


void setup()
{
  lcd.begin(16,2);// initialize library
  lcd.backlight();          //backlight on
}
 
 
void loop()
{
sensorValue = analogRead(analogInPin);              // read the analog value measured at analog pin AN0 (pin18) - We used a potmeter
outputValue = map(sensorValue, 0, 1023, 0, 100);    // rescale the sensorValue (0-1024) to (0-100)%

lcd.clear();                                        // clear the LCD
lcd.setCursor(0,0);                                 // set cursor to positon x,y
lcd.print("AN3 Value:");                            // print text on the LCD
lcd.print(sensorValue);                             // print the value of the variable on the LCD

lcd.setCursor(0,1);
lcd.print("AN3 %:");
lcd.print(outputValue); 
lcd.print("%");                                     // add a % character

delay(100);                                         // delay of 100msec to avoid flikkering of the LCD
 
}
